#ifndef __BOILERPLATE_APPLICATION_H__
#define __BOILERPLATE_APPLICATION_H__

#include <gtk/gtk.h>
#include <glib.h>

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_APPLICATION (boilerplate_application_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplateApplication, boilerplate_application, BOILERPLATE, APPLICATION, GtkApplication)

struct _BoilerplateApplication
{
	GtkApplication base_instance;
};

GType boilerplate_application_get_type (void) G_GNUC_CONST;

BoilerplateApplication *boilerplate_application_new (void);

extern gboolean DEBUG;
extern gboolean DEBUG_COLOR;
extern gboolean VERSION;
extern gboolean DISABLE_CSD;

void boilerplate_application_set_accelerator (GApplication *, const gchar *, const gchar *);
void boilerplate_application_set_accelerators (GApplication *, const gchar *, const gchar **);

static void boilerplate_application_action_preferences (GSimpleAction *, GVariant *, gpointer);
static void boilerplate_application_action_shortcuts (GSimpleAction *, GVariant *, gpointer);
static void boilerplate_application_action_help (GSimpleAction *, GVariant *, gpointer);
static void boilerplate_application_action_about (GSimpleAction *, GVariant *, gpointer);
static void boilerplate_application_action_quit (GSimpleAction *, GVariant *, gpointer);
static void boilerplate_application_init_accelerators (GtkApplication *);
static void boilerplate_application_startup (GApplication *);
static void boilerplate_application_activate (GApplication *);
static void boilerplate_application_init (BoilerplateApplication *);
static void boilerplate_application_class_init (BoilerplateApplicationClass *);

G_END_DECLS

#endif /* __BOILERPLATE_APPLICATION_H__ */
