#include <gtk/gtk.h>

#include "config.h"

#include "boilerplate-application.h"
#include "boilerplate-window.h"

typedef struct
{
    GSettings *settings;
} BoilerplateWindowPrivate;

G_DEFINE_TYPE_WITH_PRIVATE(BoilerplateWindow, boilerplate_window, GTK_TYPE_APPLICATION_WINDOW)

static void
boilerplate_window_class_init (BoilerplateWindowClass *class)
{
    gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (class),
                                                 "/io/github/julianrichen/boilerplate/ui/window.ui");

    /*
    gtk_widget_class_bind_template_child_private (GTK_WIDGET_CLASS (class), BoilerplateWindow, stack);
    */
}

static void
boilerplate_window_init (BoilerplateWindow *window)
{
    gtk_widget_init_template (GTK_WIDGET (window));
}

BoilerplateWindow *
boilerplate_window_new (BoilerplateApplication *application)
{
    return g_object_new (BOILERPLATE_TYPE_WINDOW,
                         "application", application,
                         "title", "Boilerplate for C & GTK3",
                         NULL);
}
